Update pdf.js to version 
+++ This bug was initially created as a clone of Bug #878897 +++

Changes since the last update:
#3326 Simplify getting the pdf url.
#3315 Disable range request loading for safari.
#3334 Fix check for instanceof Uint8Array in IE9
#3289 Load all resources before 
#3339 Properly disables presentation mode
#3340 Use A+ spec compatible promises.
#3343 Removed unneeded timeout.
#3338 (Yet another) browsing history bug
#3354 Faster type3 glyph outlines
#3359 Fixes presentation mode page
#3366 Avoid triggering plugin list initialization on startup (Bugzilla 
#3356 Extract text-selection, search and match logic from viewer.js
#3379 Fix typo causing destinations using  to fail
#3384 Fix regression from issue 
#3387 Preserving PDFJS in the generic builds
#3385 Check if the browser supports manipulation of the history
#3374 Improves search of EI (end of inlined image)
#3378 Removes AES padding
#3393 Handle annotations with no resources.
#3401 Increase browser timeout.
#3391 Cache fonts by reference.
#3375 Fixes missing compressed object detection
#3376 Misc fixes for corrupted PDFs
#3390 Implements  marker (and syncs with jpgjs)
#3394 Enables testing with password
#3397 Fix notdef typo.
#3399 Enable changing page using Shift+Spacebar in presentation mode
#3402 Update and cleanup readme.
#3408 [B2G] UI tweak for multi-resolution devices support on B2G
#3269 [B2G] UI tweak for multi-resolution support on B2G
